import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _ITLibArtist extends _NSObject {
    static alloc(): _ITLibArtist;
    static new(): _ITLibArtist;
    init(): _ITLibArtist;
    /** The name of this artist. */
    name(): _NSString | null;
    /** The name of this artist that should be used for sorting purposes. */
    sortName(): _NSString | null;
    /** The unique identifier of this artist. */
    persistentID(): _NSNumber;
}
